Subject: Re: [PATCH] bridge: only provide proxy ARP when CONFIG_INET is enabled

From: David Ahern <[email-masked]>
Date: Tue, 13 Jan 2015 19:56:40 -0700

On 1/13/15 2:33 PM, Arnd Bergmann wrote:

> The effect is very similar to my patch (probably same object code), the
> only difference should be that it would add an ugly #ifdef instead of
> the preferred IS_ENABLED() check, so you don't get any compile-time
> coverage of the function.

Indeed. As long as br_do_proxy_arp does not get exported that works the 
same.

David